//+------------------------------------------------------------------+
//|                                                 Candle_Range.mq4 |
//|                                                         Zen_Leow |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Zen_Leow"
#property link      ""

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1  SkyBlue
#property indicator_width1  3

double Range_Buffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//---- drawing settings
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,Range_Buffer);
   SetIndexLabel(0,"Range");

//---- name for DataWindow and indicator subwindow label
   IndicatorShortName("Candle Range");
   
//---- initialization done
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

   for(int i=0; i<limit;i++)
      Range_Buffer[i]=High[i]-Low[i];
//---- done
   return(0);
  }
//+------------------------------------------------------------------+